%define qtdir /usr/lib/qt2
%define KDEDATE 20001017
%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: kdetoys
Icon: kde-icon.xpm
Summary: K Desktop Environment - Toys and Amusements
Version: 2.0
Release: 1mdk
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdetoys-%{KDEDATE}-src.tar.bz2
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Requires: kdesupport kdelibs
Obsoletes: kteatime
Prefix: /usr

%description
Toys for the K Desktop Environment.

Includes: kmoon (displays various phases of the moon); kworldwatch
(displays where in the world it is light and dark depending on time), and
kodo (a mouse odometer which shows how far your mouse has traveled).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdetoys
make -f Makefile.cvs

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti" ./configure  \
	--prefix=%{prefix} --disable-rpath 

#perl -pi -e "s/(SUBDIRS ?=.*)\bdoc\b/\1 /gm" Makefile
#perl -pi -e "s/(SUBDIRS ?=.*)\bamor\b/\1 /gm" Makefile
#perl -pi -e "s/(SUBDIRS ?=.*)\beyesapplet\b/\1 /gm" Makefile

make CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti"

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/mouse/common
##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

kdedesktop2mdkmenu.pl kdetoys Amusement/Toys $RPM_BUILD_ROOT/usr/share/applnk/Toys/amor.desktop $RPM_BUILD_ROOT/usr/lib/menu/amor kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys $RPM_BUILD_ROOT/usr/share/applnk/Toys/kmoon.desktop $RPM_BUILD_ROOT/usr/lib/menu/kmoon kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys $RPM_BUILD_ROOT/usr/share/applnk/Toys/kodo.desktop $RPM_BUILD_ROOT/usr/lib/menu/kodo kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys $RPM_BUILD_ROOT/usr/share/applnk/Toys/kteatime.desktop $RPM_BUILD_ROOT/usr/lib/menu/kteatime kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys $RPM_BUILD_ROOT/usr/share/applnk/Toys/kworldwatch.desktop $RPM_BUILD_ROOT/usr/lib/menu/kworldwatch kde

rm -rf $RPM_BUILD_ROOT/usr/share/applnk

%post
##menu
%{update_menus}
/sbin/ldconfig

%postun
## menu
/sbin/ldconfig
%{clean_menus}
%{update_menus}

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%attr(-,root,root) /usr/share/*
%attr(-,root,root) /usr/lib/*
%attr(-,root,root) /usr/bin/*


%changelog
* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code to KDE 2.0 Release

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to Release Candidate 1 for KDE2

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Wed Sep 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Tue Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code to see if it fixes bug reported by Francis

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code

* Mon Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Added requires kde to some apps per request from David Baudens

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Updated code
- Changed menu creation to use automated tool

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code
- Fixed a few rpmlint errors

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code
- Removed file list generation
- menus entries

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- added obsolete for kteatime

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- added obsolete for kteatime
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Update code
- move to /usr
- Change package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Fixed a few things in spec file

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code to more recent snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Updated spec file for Mandrake
- Updated code to a more recent snapshot

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Mon Apr 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got 1.1.2 release.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
